/*     */ package com.tiptimes.ctrl;
/*     */ 
/*     */ import com.github.pagehelper.PageHelper;
/*     */ import com.github.pagehelper.PageInfo;
/*     */ import com.tiptimes.model.ActionLog;
/*     */ import com.tiptimes.model.TeamMessage;
/*     */ import com.tiptimes.model.UserLogin;
/*     */ import com.tiptimes.service.ActionLogService;
/*     */ import com.tiptimes.service.TeamMessageService;
/*     */ import com.tiptimes.service.UserService;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.List;
/*     */ import java.util.Map;
/*     */ import javax.servlet.http.HttpServletRequest;
/*     */ import javax.servlet.http.HttpServletResponse;
/*     */ import org.json.JSONObject;
/*     */ import org.springframework.beans.factory.annotation.Autowired;
/*     */ import org.springframework.http.HttpEntity;
/*     */ import org.springframework.stereotype.Controller;
/*     */ import org.springframework.web.bind.annotation.RequestMapping;
/*     */ import org.springframework.web.bind.annotation.ResponseBody;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @Controller
/*     */ @RequestMapping({"/ActionLog"})
/*     */ public class ActionLogCtrl
/*     */ {
/*     */   @Autowired
/*     */   private ActionLogService actionLogServer;
/*     */   @Autowired
/*     */   private UserService userService;
/*     */   @Autowired
/*     */   private TeamMessageService teamMessageService;
/*     */   
/*     */   @RequestMapping({"seachActionLog"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> seachActionLog(String userID, String startTime, String stopTime, HttpServletResponse response, HttpServletRequest request, ActionLog actionLog) throws IOException {
/*  63 */     Map<String, Object> map = new HashMap<>();
/*     */     
/*  65 */     PageHelper.startPage(actionLog.getStart().intValue() / actionLog.getLength().intValue() + 1, actionLog.getLength().intValue());
/*  66 */     int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
/*  67 */     if (authorityID != 2) {
/*  68 */       map.put("list", new ArrayList());
/*  69 */       return map;
/*     */     } 
/*  71 */     List<Object> object_temp = new ArrayList();
/*  72 */     List<ActionLog> actionLog_list = this.actionLogServer.listActionLog(userID, startTime, stopTime);
/*  73 */     if (actionLog_list == null) {
/*  74 */       map.put("list", object_temp);
/*  75 */       return map;
/*     */     } 
/*  77 */     if (actionLog_list != null) {
/*  78 */       for (ActionLog sactionLog_list_i : actionLog_list) {
/*  79 */         Map<String, Object> map_temp_i = new HashMap<>();
/*  80 */         map_temp_i.put("userName", sactionLog_list_i.getUserName());
/*  81 */         map_temp_i.put("time", sactionLog_list_i.getTime());
/*  82 */         map_temp_i.put("remark", sactionLog_list_i.getRemark());
/*  83 */         object_temp.add(map_temp_i);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*  88 */     PageInfo<ActionLog> p = new PageInfo(actionLog_list);
/*  89 */     map.put("aaData", object_temp);
/*  90 */     map.put("recordsFiltered", Integer.valueOf(p.getList().size()));
/*  91 */     map.put("iTotalRecords", Long.valueOf(p.getTotal()));
/*  92 */     map.put("iTotalDisplayRecords", Long.valueOf(p.getTotal()));
/*  93 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @RequestMapping({"/getUserByAuthority"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> getUserByAuthority(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/* 108 */     Map<String, Object> map = new HashMap<>();
/* 109 */     int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
/* 110 */     if (authorityID != 2) {
/* 111 */       map.put("list", new ArrayList());
/* 112 */       return map;
/*     */     } 
/* 114 */     String strData = (String)data.getBody();
/* 115 */     JSONObject jObject = new JSONObject(strData);
/* 116 */     int authority = jObject.getInt("authority");
/* 117 */     List<UserLogin> userLogin_list = this.userService.getUserLoginByAuthority(authority);
/* 118 */     List<Object> object_temp = new ArrayList();
/* 119 */     if (userLogin_list != null) {
/* 120 */       for (UserLogin userLogin_list_i : userLogin_list) {
/* 121 */         Map<String, Object> map_temp_i = new HashMap<>();
/* 122 */         map_temp_i.put("realName", userLogin_list_i.getRealName());
/* 123 */         map_temp_i.put("userID", userLogin_list_i.getUserID());
/* 124 */         object_temp.add(map_temp_i);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 129 */     map.put("list", object_temp);
/* 130 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @RequestMapping({"/getUserBySpaceId"})
/*     */   @ResponseBody
/*     */   public Map<String, Object> getUserBySpaceId(HttpServletRequest request, HttpServletResponse response, HttpEntity<String> data) {
/* 145 */     Map<String, Object> map = new HashMap<>();
/* 146 */     int authorityID = Integer.parseInt(request.getSession().getAttribute("authorityID").toString());
/* 147 */     if (authorityID != 2) {
/* 148 */       map.put("list", new ArrayList());
/* 149 */       return map;
/*     */     } 
/* 151 */     String strData = (String)data.getBody();
/* 152 */     JSONObject jObject = new JSONObject(strData);
/* 153 */     String space = jObject.getString("space");
/* 154 */     UserLogin userLogin = this.userService.listUserLoginByUserID(space);
/* 155 */     if (userLogin == null) {
/* 156 */       map.put("list", new ArrayList());
/* 157 */       return map;
/*     */     } 
/* 159 */     List<TeamMessage> spaceList = this.teamMessageService.listTeamMessageBySpaceMessageID(userLogin.getRealID());
/* 160 */     if (spaceList == null) {
/* 161 */       map.put("list", new ArrayList());
/* 162 */       return map;
/*     */     } 
/* 164 */     List<Object> object_temp = new ArrayList();
/* 165 */     if (spaceList != null) {
/* 166 */       for (TeamMessage item : spaceList) {
/* 167 */         UserLogin userLogin1 = this.userService.listUserLoginByRealID(item.getTeamMessageID());
/* 168 */         Map<String, Object> map_temp_i = new HashMap<>();
/* 169 */         map_temp_i.put("realName", item.getTeamName());
/* 170 */         map_temp_i.put("userID", userLogin1.getUserID());
/* 171 */         object_temp.add(map_temp_i);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 176 */     map.put("list", object_temp);
/* 177 */     return map;
/*     */   }
/*     */ }


/* Location:              D:\project\ROOT\WEB-INF\classes\!\com\tiptimes\ctrl\ActionLogCtrl.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       1.1.3
 */