//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.service.impl;

import com.tiptimes.dao.IntegralDao;
import com.tiptimes.dao.MaterialClassDao;
import com.tiptimes.dao.SpaceMessageBusinessDao;
import com.tiptimes.dao.SpaceMessageBusinessTempDao;
import com.tiptimes.dao.SpaceMessageDao;
import com.tiptimes.dao.SpaceMessageTempDao;
import com.tiptimes.dao.UserLoginDao;
import com.tiptimes.model.IntegratedQuery;
import com.tiptimes.model.MaterialClass;
import com.tiptimes.model.SpaceMessage;
import com.tiptimes.model.SpaceMessageBusiness;
import com.tiptimes.model.SpaceMessageBusinessTemp;
import com.tiptimes.model.SpaceMessageTemp;
import com.tiptimes.model.UserLogin;
import com.tiptimes.service.SpaceMessageService;
import com.tiptimes.util.DATEUtil;
import com.tiptimes.util.UUIDUtils;
import java.util.Iterator;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class SpaceMessageServiceImpl implements SpaceMessageService {
    @Autowired
    private SpaceMessageDao spaceMessageDao;
    @Autowired
    private UserLoginDao userLoginDao;
    @Autowired
    private SpaceMessageBusinessDao spaceMessageBusinessDao;
    @Autowired
    private SpaceMessageTempDao spaceMessageTempDao;
    @Autowired
    private SpaceMessageBusinessTempDao spaceMessageBusinessTempDao;
    @Autowired
    private MaterialClassDao materialClassDao;
    @Autowired
    private IntegralDao integralDao;

    public SpaceMessageServiceImpl() {
    }

    @Transactional
    public void saveSpaceMessage(SpaceMessage spaceMessage) {
        this.spaceMessageDao.saveSpaceMessage(spaceMessage);
    }

    @Transactional
    public void saveSpaceMessage(SpaceMessage spaceMessage, UserLogin userLogin) {
        MaterialClass materialClass1 = new MaterialClass();
        materialClass1.setClassID(UUIDUtils.getUUID());
        materialClass1.setClassName("政策信息");
        materialClass1.setUpClassID("0");
        materialClass1.setOrder1(0);
        materialClass1.setClassNameEnglish("zcxx");
        materialClass1.setType("分类");
        materialClass1.setSpaceMessageID(spaceMessage.getSpaceMessageID());
        MaterialClass materialClass2 = new MaterialClass();
        materialClass2.setClassID(UUIDUtils.getUUID());
        materialClass2.setClassName("新闻公告");
        materialClass2.setUpClassID("0");
        materialClass2.setOrder1(0);
        materialClass2.setClassNameEnglish("xwgg");
        materialClass2.setType("分类");
        materialClass2.setSpaceMessageID(spaceMessage.getSpaceMessageID());
        MaterialClass materialClass3 = new MaterialClass();
        materialClass3.setClassID(UUIDUtils.getUUID());
        materialClass3.setClassName("活动通知");
        materialClass3.setUpClassID("0");
        materialClass3.setOrder1(0);
        materialClass3.setClassNameEnglish("hdtz");
        materialClass3.setType("分类");
        materialClass3.setSpaceMessageID(spaceMessage.getSpaceMessageID());
        this.spaceMessageDao.saveSpaceMessage(spaceMessage);
        this.userLoginDao.saveUserLogin(userLogin);
        this.materialClassDao.saveMaterialClass(materialClass1);
        this.materialClassDao.saveMaterialClass(materialClass2);
        this.materialClassDao.saveMaterialClass(materialClass3);
    }

    @Transactional
    public void updateSpaceMessage(SpaceMessage spaceMessage) {
        this.spaceMessageDao.updateSpaceMessage(spaceMessage);
    }

    @Transactional
    public void updateSpaceMessage(SpaceMessage spaceMessage, List<SpaceMessageBusiness> spaceMessageBusiness_list) {
        spaceMessage.setUpdateTime(DATEUtil.getNewDateYMDHNS());
        this.spaceMessageDao.updateSpaceMessage(spaceMessage);
        this.spaceMessageBusinessDao.removeSpaceMessageBusiness(spaceMessage.getSpaceMessageID());
        Iterator var3 = spaceMessageBusiness_list.iterator();

        while(var3.hasNext()) {
            SpaceMessageBusiness spaceMessageBusiness_list_i = (SpaceMessageBusiness)var3.next();
            this.spaceMessageBusinessDao.saveSpaceMessageBusiness(spaceMessageBusiness_list_i);
        }

    }

    public List<SpaceMessageBusiness> listSpaceMessageBusinessBySpaceMessageID(String SpaceMessageID) {
        List<SpaceMessageBusiness> spaceMessageBusiness_list = this.spaceMessageBusinessDao.listSpaceMessageBusinessBySpaceMessageID(SpaceMessageID);
        return spaceMessageBusiness_list.size() == 0 ? null : spaceMessageBusiness_list;
    }

    public String getSpaceMessageNameByID(String id) {
        List<String> name_list = this.spaceMessageDao.getSpaceMessageNameByID(id);
        return name_list.size() == 0 ? null : (String)name_list.get(0);
    }

    public String getSpaceMessageShowIDByID(String id) {
        List<String> name_list = this.spaceMessageDao.getSpaceMessageShowIDByID(id);
        return name_list.size() == 0 ? null : (String)name_list.get(0);
    }

    public String getSpaceMessageNameByTeamMessageID(String teamMessageID) {
        List<String> name_list = this.spaceMessageDao.getSpaceMessageNameByTeamMessageID(teamMessageID);
        return name_list.size() == 0 ? null : (String)name_list.get(0);
    }

    public SpaceMessage getSpaceMessageByTeamMessageID(String teamMessageID) {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageByTeamMessageID(teamMessageID);
        return name_list.size() == 0 ? null : (SpaceMessage)name_list.get(0);
    }

    public SpaceMessage getSpaceMessageBySpaceMessageID(String spaceMessageID) {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageBySpaceMessageID(spaceMessageID);
        return name_list.size() == 0 ? null : (SpaceMessage)name_list.get(0);
    }

    public List<SpaceMessage> getSpaceMessageByAll(SpaceMessage spaceMessage) {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageByAll(spaceMessage);
        return name_list.size() == 0 ? null : name_list;
    }

    public List<SpaceMessage> getSpaceMessageByAllSite() {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageByAllSite();
        return name_list.size() == 0 ? null : name_list;
    }

    @Transactional
    public void saveSpaceMessageTemp(String spaceMessageID, SpaceMessageTemp spaceMessage, List<SpaceMessageBusinessTemp> spaceMessageBusinessTemp_list) {
        List<SpaceMessageTemp> spaceMessageTemp_list = this.spaceMessageTempDao.getSpaceMessageTempBySpaceMessageID(spaceMessageID);
        if (spaceMessageTemp_list.size() == 0) {
            this.spaceMessageTempDao.saveSpaceMessageTemp(spaceMessage);
        } else {
            this.spaceMessageTempDao.updateSpaceMessageTemp(spaceMessage);
        }

        this.spaceMessageBusinessTempDao.removeSpaceMessageBusinessTemp(spaceMessageID);
        Iterator var5 = spaceMessageBusinessTemp_list.iterator();

        while(var5.hasNext()) {
            SpaceMessageBusinessTemp spaceMessageBusinessTemp_list_i = (SpaceMessageBusinessTemp)var5.next();
            this.spaceMessageBusinessTempDao.saveSpaceMessageBusinessTemp(spaceMessageBusinessTemp_list_i);
        }

    }

    @Transactional
    public void removeSpaceMessageTempByDate(String date) {
        this.spaceMessageTempDao.removeSpaceMessageTemp(date);
        this.spaceMessageBusinessTempDao.removeSpaceMessageBusinessTempByDate(date);
    }

    @Transactional
    public void removeSpaceMessageTempByID(String id) {
        this.spaceMessageTempDao.removeSpaceMessageTempByid(id);
    }

    public SpaceMessageTemp getSpaceMessageTempBySpaceMessageID(String spaceMessageID) {
        List<SpaceMessageTemp> name_list = this.spaceMessageTempDao.getSpaceMessageTempBySpaceMessageID(spaceMessageID);
        return name_list.size() == 0 ? null : (SpaceMessageTemp)name_list.get(0);
    }

    public List<SpaceMessageBusinessTemp> listSpaceMessageBusinessTempBySpaceMessageID(String SpaceMessageID) {
        List<SpaceMessageBusinessTemp> spaceMessageBusiness_list = this.spaceMessageBusinessTempDao.listSpaceMessageBusinessTempBySpaceMessageID(SpaceMessageID);
        return spaceMessageBusiness_list.size() == 0 ? null : spaceMessageBusiness_list;
    }

    public String getSpaceMessageByTeamNum() {
        List<String> spaceName_list = this.spaceMessageDao.getSpaceMessageByTeamNum();
        String spaceName_str = "";

        String spaceName_list_i;
        for(Iterator var3 = spaceName_list.iterator(); var3.hasNext(); spaceName_str = spaceName_str + spaceName_list_i + ",") {
            spaceName_list_i = (String)var3.next();
        }

        return spaceName_str;
    }

    public String getSpaceMessageByProjectNum() {
        List<String> spaceName_list = this.spaceMessageDao.getSpaceMessageByProjectNum();
        String spaceName_str = "";

        String spaceName_list_i;
        for(Iterator var3 = spaceName_list.iterator(); var3.hasNext(); spaceName_str = spaceName_str + spaceName_list_i + ",") {
            spaceName_list_i = (String)var3.next();
        }

        return spaceName_str;
    }

    public String getSpaceMessageByIntegralNum() {
        List<String> spaceName_list = this.integralDao.getSpaceMessageByIntegralNum();
        String spaceName_str = "";

        String spaceName_list_i;
        for(Iterator var3 = spaceName_list.iterator(); var3.hasNext(); spaceName_str = spaceName_str + spaceName_list_i + ",") {
            spaceName_list_i = (String)var3.next();
        }

        return spaceName_str;
    }

    public String getSpaceMessageNumByAll(int certification) {
        return this.spaceMessageDao.getSpaceMessageNumByAll(certification);
    }

    public List<SpaceMessage> getSpaceMessageByLoginTime(String LoginTime) {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageByLoginTime(LoginTime);
        return name_list.size() == 0 ? null : name_list;
    }

    public List<SpaceMessage> getSpaceMessageBy20() {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageBy20();
        return name_list.size() == 0 ? null : name_list;
    }

    public List<SpaceMessage> getSpaceMessageByAddressArea(String addressArea, int topNum, int num) {
        List<SpaceMessage> name_list = this.spaceMessageDao.getSpaceMessageByAddressArea(addressArea, topNum, num);
        return name_list.size() == 0 ? null : name_list;
    }

    public String getSpaceMessageByAddressAreaSize(String addressArea) {
        String num = this.spaceMessageDao.getSpaceMessageByAddressAreaSize(addressArea);
        return num;
    }

    public List<IntegratedQuery> listIntegratedQuery() {
        List<IntegratedQuery> integratedQuery_list = this.spaceMessageDao.listIntegratedQuery();
        return integratedQuery_list.size() == 0 ? null : integratedQuery_list;
    }

    public List<IntegratedQuery> listIntegratedQuery2(String order_name, String order_type) {
        List<IntegratedQuery> integratedQuery_list = this.spaceMessageDao.listIntegratedQuery2(order_name, order_type);
        return integratedQuery_list.size() == 0 ? null : integratedQuery_list;
    }

    public List<IntegratedQuery> listIntegratedQueryByspaceMessageID(String spaceMessageID) {
        List<IntegratedQuery> integratedQuery_list = this.spaceMessageDao.listIntegratedQueryByspaceMessageID(spaceMessageID);
        return integratedQuery_list.size() == 0 ? null : integratedQuery_list;
    }

    @Transactional
    public void updateImg(SpaceMessage spaceMessage) {
        this.spaceMessageDao.updateImg(spaceMessage);
    }

    public String getImg(String id) {
        List<String> AptitudeData_list = this.spaceMessageDao.getImg(id);
        return AptitudeData_list.size() == 0 ? null : (String)AptitudeData_list.get(0);
    }

    public String getMaxShowID() {
        String max = "";
        String teamIDMax = this.spaceMessageDao.getMaxShowID();
        if (!"0".equals(teamIDMax) && teamIDMax != null) {
            max = String.format("%02d", Integer.parseInt(teamIDMax) + 1);
            return max;
        } else {
            return "01";
        }
    }

    @Async
    public void OneMin() {
        try {
            this.spaceMessageDao.OneMin();
        } catch (Exception var2) {
        }

    }
}
